## org.codehaus.groovy.grails.orm.hibernate.cfg
Class NaturalId

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.NaturalId

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class NaturalId

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`NaturalId()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`boolean` `getMutable()`
`Object` `getProperty(String property)`
`List<String>` `getPropertyNames()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isMutable()`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setMutable(boolean value)`
`void` `setProperty(String property, Object value)`
`void` `setPropertyNames(List<String> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaturalId

    public NaturalId()

Method Detail

### getPropertyNames

    public List<String> getPropertyNames()

### setPropertyNames

    public void setPropertyNames(List<String> value)

### getMutable

    public boolean getMutable()

### isMutable

    public boolean isMutable()

### setMutable

    public void setMutable(boolean value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project